SDL_GetPathInfo(3)

NAME
SDL_GetPathInfo - Get information about a filesystem path.

HEADER FILE
Defined in SDL3/SDL_filesystem.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetPathInfo(const char *path, SDL_PathInfo *info);

FUNCTION PARAMETERS

path
    the path to query.

info
    a pointer filled in with information about the path, or NULL to check for the existence of a file.

RETURN VALUE
Returns true on success or false if the file doesn't exist, or another failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.